Summary:		Networking utility that manages TCP and UDP connections
Name:			netcat
Version:		0.7.1
Release:		3
License:		GPL
Group:			Applications/Internet
URL:			http://netcat.sourceforge.net/
Source:			http://dl.sf.net/netcat/netcat-%{version}.tar.bz2
BuildRoot:		%{_tmppath}/%{name}-%{version}-root
Conflicts:		nc
Requires(post):		/sbin/install-info
Requires(preun):	/sbin/install-info
BuildRequires:		gettext

%description
GNU Netcat is a full-featured networking utility that reads and writes data
across network connections, using the TCP/IP protocol. It is designed to be a
reliable "back-end" tool that can be used directly or easily driven by other
programs and scripts. At the same time, it is a feature-rich network debugging
and exploration tool, since it can create almost any kind of connection you
would need and has several interesting built-in capabilities.

GNU netcat is intended to be fully compatible with the original nc 1.10.

%prep
%setup -q

%build
%configure
%{__make} %{?__smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} install

# ugly hack in order to include the structured directory in the rpm
%{__rm} -f doc/drafts/Makefile*

# The build process will create an info dir file on *some* systems
%{__rm} -f %{buildroot}%{_infodir}/dir

%find_lang %name

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,0755)
%doc AUTHORS COPYING ChangeLog NEWS README TODO doc/migration doc/drafts
%{_bindir}/netcat
%{_bindir}/nc
%{_infodir}/netcat.info*
%{_mandir}/man1/netcat.1*

%post
/sbin/install-info %{_infodir}/netcat.info %{_infodir}/dir || :

%preun
if [ "$1" = 0 ]; then
	/sbin/install-info --delete %{_infodir}/netcat.info %{_infodir}/dir || :
fi

%changelog
* Wed Oct 12 2005 Paul Howarth <paul@city-fan.org> 0.7.1-3
- Tidy up spec file, fix scriptlet deps and add Conflicts: nc

* Sun Jan 11 2004 Giovanni Giacobbi <giovanni@giacobbi.net> 0.7.1-1
- Minor spec file cleanup
- Updated to version 0.7.1.

* Thu Aug 21 2003 Giovanni Giacobbi <giovanni@giacobbi.net> 0.7.0-1
- Updated to version 0.7.0.

* Tue Oct 15 2002 Giovanni Giacobbi <giovanni@giacobbi.net> 0.6.1-1
- Updated author's email address.
- Now adds info entries in the global info directory on install.
- Updated to version 0.6.1.

* Thu Aug 22 2002 Giovanni Giacobbi <giovanni@giacobbi.net> 0.6.0-1
- Final updates for the public release.

* Tue Aug 20 2002 Giovanni Giacobbi <giovanni@giacobbi.net> 0.6.0-0.5
- Some updates, still testing for first public release.

* Sat Jun 15 2002 Giovanni Giacobbi <giovanni@giacobbi.net> 0.5.1-1
- First testing package v0.5.1.
